body {
	height: 100vh;
	display: flex;
	align-items: center;
	justify-content: center;
	overflow-y: hidden;
	overflow-x: hidden;
}

.modal-content {
	background-color: var(--login-dialog-background-color);
	padding: 20px;
	border: 1px solid #dfdcdc;
	border-radius: var(--login-border-radius);
	position: absolute;
	top: 20%;
	/* width: var(--login-dialog-width); */
	box-shadow: 0 4px 10px rgba(0, 0, 0, 0.1);
}

.animate {
	animation: myFadeIn 1.0s ease normal;
}

@keyframes myFadeIn {
	from {
		opacity: 0;
	}

	to {
		opacity: 1;
	}
}

.imgcontainer {
	text-align: center;
}

.anmeldung {
	font-size: 30px;
	border-bottom: 0.5px solid var(--login-text-color);
	width: 100%;
	display: block;
	padding-bottom: 10px;
	color: var(--login-text-color);
}

.label-username {
	display: block;
	width: 100%;
	margin-top: 30px;
	margin-bottom: 5px;
	text-align: left;
	color: var(--login-text-color);
}

.input-username {
	width: 100%
}

/* Mauszeiger als Pointer, wenn über eye-icon */
.input-with-icon span:hover {
	cursor: pointer;
}

.label-password {
	display: block;
	width: 100%;
	margin-top: 20px;
	margin-bottom: 5px;
	text-align: left;
	color: var(--login-text-color);
}

.input-password {
	width: 100%
}

input {
	margin-bottom: 15px;
}

#error {
	color: red;
	border: solid 1px;
	border-radius: var(--login-border-radius);
	padding: 10px;
	background-color: #ff000026;
	text-align: left;
	margin-top: 10px;
}

.login-failure {
	font-weight: 600;
	display: block;
}

.username-password-wrong {
	/* padding-top:50px; */
	font-size: 15px;
}

#eye-icon {
	position: absolute;
	display: block ruby;
  	width: 20px;
  	top: 59%;
	transform: translateY(-50%);
	cursor: pointer;
}


.eye-icon svg{
	stroke: var(--login-eye-icon-color);
}

.login-button {
	width: 100%;
	padding: 7px;
	margin-top: 10px;
}

.dialog-button-alignment {
	position: absolute;
	right: 20px;
}